{% extends 'base.html' %}
{% block content %}

<div class="right-aligned-row">
    <a href="{% url 'create-blank'%}">New blank</a>
</div>

<form class="page-grid" method="POST" action="{% url 'blank-bulk-action' %}">
    {% csrf_token %}
    
    <div class="page-grid-header">
        
        <div class="left-aligned-row">
            <select name="name">
                {% for action_name, action_value in actions %}
                    <option value="{{ action_name }}">{{ action_value }}</option>
                {% endfor%}
            </select>
            <button type="submit">Submit</button>
        </div>
        
    </div>
    
    <div class="page-grid-content">
        {% for blank in blanks_list %}
            {% include "questionnaire/blank-card.html" with blank=blank index=forloop.counter%}
        {% empty %}
            <h3>You do not have available questionnaires blanks yet</h3>
        {% endfor %}
    </div>
    
    <div class="page-grid-footer base-footer">
        <div></div>
        <div>
            {% include "paginator.html" with page_obj=page_obj only%}
        </div>
    </div>

</form>
{% endblock content %}